/*  Copyright (C) 2008 Chris Hellyar <chris@trash.co.nz>
 *
 *  This software is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *                   
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *                                  
 *  You should have received a copy of the GNU General Public License
 *  along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307  USA.  (See COPYING file) */

#include "defs.h"

CheckArgs(char *argv[]) {
	if(!strcmp(argv[1],"-V")) {        // Version message.
		printf("logger Version %s\n",VERSION);
		exit(EXIT_SUCCESS);        
	} else if(!strcmp(argv[1],"-h")) {  // Help message.
		printf("logger Version %s\n",VERSION);
		printf("Chris Hellyar <chris@trash.co.nz>  http://ohmark.co.nz/logger.html\n\n");
		printf("logger looks for config file (logger.conf) in /etc, ~/ and working directory.\n");
		printf("\n");
		printf("Valid command-line arguments:\n");
		printf(" -h Shows this text\n");
		printf(" -V Show Version\n");
		printf(" -v Forces verbose mode, and disables Daemon mode for testing.\n");
		exit(EXIT_SUCCESS);
	} else if(!strcmp(argv[1],"-v")) { // force verbose mode
		printf("Verbose Mode forced.\n");
		ForceVerbose=TRUE;
	} else {
		printf("Invalid Command Line parameter\n");
		exit(EXIT_FAILURE);
	}
}	
